bcr_test_module:
  module_path: ""
  matrix:
    platform:
      - debian10
      - ubuntu2004
    bazel: [7.x, 8.x, 9.x]
  tasks:
    run_tests:
      name: "Run tests"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - "//verilog/tests:leaf"
        - "//verilog/tests:dep_a"
        - "//verilog/tests:dep_b"
        - "//verilog/tests:top"
      test_targets:
        - "//verilog/tests:verilog_library_tests"
